MagickCore: layer.h File Reference

# layer.h File Reference

Go to the source code of this file.

## Enumerations
enum | DisposeType { UnrecognizedDispose, UndefinedDispose = 0, NoneDispose = 1, BackgroundDispose = 2, PreviousDispose = 3 }
enum | ImageLayerMethod { UndefinedLayer, CoalesceLayer, CompareAnyLayer, CompareClearLayer, CompareOverlayLayer, DisposeLayer, OptimizeLayer, OptimizeImageLayer, OptimizePlusLayer, OptimizeTransLayer, RemoveDupsLayer, RemoveZeroLayer, CompositeLayer, MergeLayer, FlattenLayer, MosaicLayer }
## Functions
MagickExport Image * | CoalesceImages (const Image *, ExceptionInfo *)
MagickExport Image ** | DisposeImages (const Image *, ExceptionInfo *)
MagickExport Image *** | CompareImageLayers (const Image *, const ImageLayerMethod, ExceptionInfo *)
MagickExport Image **** | DeconstructImages (const Image *, ExceptionInfo *)
MagickExport Image ***** | MergeImageLayers (const Image *, const ImageLayerMethod, ExceptionInfo *)
MagickExport Image ****** | OptimizeImageLayers (const Image *, ExceptionInfo *)
MagickExport Image ******* | OptimizePlusImageLayers (const Image *, ExceptionInfo *)
MagickExport void | CompositeLayers (Image *, const CompositeOperator, Image *, const long, const long, ExceptionInfo *)
MagickExport void | OptimizeImageTransparency (const Image *, ExceptionInfo *)
MagickExport void | RemoveDuplicateLayers (Image **, ExceptionInfo *)
MagickExport void | RemoveZeroDelayLayers (Image **, ExceptionInfo *)

## Enumeration Type Documentation

enum DisposeType

Enumerator:

  UnrecognizedDispose |
  UndefinedDispose |
  NoneDispose |
  BackgroundDispose |
  PreviousDispose |

enum ImageLayerMethod

Enumerator:

  UndefinedLayer |
  CoalesceLayer |
  CompareAnyLayer |
  CompareClearLayer |
  CompareOverlayLayer |
  DisposeLayer |
  OptimizeLayer |
  OptimizeImageLayer |
  OptimizePlusLayer |
  OptimizeTransLayer |
  RemoveDupsLayer |
  RemoveZeroLayer |
  CompositeLayer |
  MergeLayer |
  FlattenLayer |
  MosaicLayer |

## Function Documentation

MagickExport Image* CoalesceImages | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * CompareImageLayers | ( | const Image * | ,
|  | const | ImageLayerMethod,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void CompositeLayers | ( | Image * | ,
|  | const | CompositeOperator,
|  | Image * | ,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * DeconstructImages | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * DisposeImages | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * MergeImageLayers | ( | const Image * | ,
|  | const | ImageLayerMethod,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * OptimizeImageLayers | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void OptimizeImageTransparency | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * * * * OptimizePlusImageLayers | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void RemoveDuplicateLayers | ( | Image ** | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void RemoveZeroDelayLayers | ( | Image ** | ,
|  | ExceptionInfo * |  |
| ) |  |  |